Package com.logicaldoc.core.communication.oauth

# Class TokenProviderManager

java.lang.Object
com.logicaldoc.core.communication.oauth.TokenProviderManager

@Component("tokenProviderManager") public class TokenProviderManager extends Object
A manager for the `TokenProvider`s. It's internals are initialized from the extension point 'TokenProvider' of the core plugin.

Since:
  9.2.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`TokenProviderManager()`

## Method Summary

Modifier and Type
Method
Description
`TokenProvider`
`getProvider(String key)`
`void`
`init()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenProviderManager

public TokenProviderManager()

## Method Details

### init

@PostConstruct public void init()

### getProvider

public TokenProvider getProvider(String key)